html {
    height: 100%;
}

body {
    margin: 0;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.content {
    flex-direction: column;

    width: 75%;
    height: 90%;
    display: flex;
}

.canvas {
    flex: 1 0 auto;
    border: 1px solid black;
}

.parameters {
    flex: 0 0 150px;

    overflow-y: auto;
    overflow-x: hidden;
    border: 1px solid black;
    border-top: 0;
    border-left: 1px solid black;
}

.parameters__controls {
    padding: 4px;
    text-align: right;
}

.parameters__controls--valid {
    background: #2196F3;
}

.parameters__controls--invalid {
    background: red;
}

.parameters__control {
    background: white;
    border: 1px solid black;
    width: 24px;
    height: 24px;
    cursor: pointer;
}

.parameters__list {
    border-top: 1px solid black;
    padding-top: 4px;
    text-align: center;
}

.parameter {
    border: 1px solid black;
    margin: 2px 4px;
    padding: 2px;
    width: calc(100% - 8px * 2 - 2px * 2);
}

@media all and (min-width: 1024px){
    .content {
        flex-direction: row;
        height: 75%;
    }

    .parameters {
        flex: 0 0 200px;
        border-left: 0;
        border-top: 1px solid black;
    }
}